What is new in WYSIWYG Web Builder 15?

- All rendering is now hardware accelerated (using Direct2D). This means rendering is faster and sharper because the GPU is used in most cases (instead of the CPU).
For example, zooming is much sharper

New Icons
The ribbon, toolbars, menus and toolbox have redesigned icons. The style is thin, lined & colored, inspired by the new icons introduced by Microsoft® in the products of Office 365® and 2019 suites.
The icons have been optimized for High DPI (100%, 150% and 200%)

Secure FTP
Secure FTP support is now built-in, without the need to install an extension.
The following protocols are supported:
• FTP with TLS/SSL (Port 990 - Implicit)
• FTP with TLS/SSL (AUTH TLS - Explicit)
• SFTP using SSH2 (Secure Shell)

Shape Dividers
- New feature: Added Shape divider to layer, layout grid and flex box container. Shape dividers are SVG based shapes that can be used to separate the sections of a page.
There are more than a dozens shapes you can choose from, but you can also add custom shape SVG files. 
Shapes dividers can be added at the top or bottom (or both) of a layer.
The color specifies the color of the shape. The width specifies the width in percentages, this can be useful if you only want to display a smaller part of the shape, for example 200%, clips the left and right part of the shape.
The height is in pixels. 
Shapes can be flipped horizontally/vertically. This makes it possito use shapes that were designed to be used at the top, also at the bottom (flip vertically).
The arrangement property controls whether the shape will be displayed underneath the content or on top of content. 
Shapes dividers are SVG files and are stored in the folder 'dividers' of the application folder.

Unsplash Integration
- New feature: Browse thousands of free-to-use, high quality images from Unsplash directly within WYSIWYG Web Builder.

Border Images
- New feature: Added 'Border Image' support. With border images you can create complicated, visually rich borders around elements like text, images, layers, layout grid etc.
Besides built-in pre-defined border images you can also use your own images. The border images have several repeat options like repeat, space, round or stretch.

Toasts
- New feature: Toasts are lightweight notifications designed to mimic the push notifications that have been popularized by mobile and desktop operating systems. They can be displayed at page load or with delay. Multiple Toasts will automatically stack vertically. 

Wrap Text
- New feature: Added support for floating layout, so the 'Wrap Text' can be used inside a layout grid. This makes it possible to wrap text around images or other objects. Child elements can either float left or right.
- New feature: Added experimental support for CSS's shape-outside. This will wrap the text around the outline of a (transparent) image or shape, making it possible to wrap text around complex objects rather than simple rectangular boxes. Note that this will only work in modern browsers (Safari, Chome, FireFox, not in IE or Edge!)

Card Container
- New feature: Added 'Card Container' object. This is a dedicated container for Cards to simplify laying out a series of cards.
The Card Container has the following layout options:
- card deck: automatically aligns the cards horizontally with equal width and height. Even with different content lengths!
- card columns: organize the cards into Masonry-like columns. Cards are ordered from top to bottom and left to right.
- carousel: displays the cards in an animated carousel. The number of cards per slide and spacing is configurable per breakpoint. It is also possible to set how many cards will be scrolled per page. When you set a negative delay, the carousel will scroll continuously (like a Conveyer Belt).
The card carousel can be controlled via events: media play, media stop, slideshow next, slideshow previous
Note: of course you can still use layout grids, flexbox or flexgrid for laying out cards. 

Cards
- New feature: Added 'Copy' button to quickly clone a card item.
- New feature: Added the ability to set the alignment for each text item indivually, including justify.
- New feature: Added 'HTML' card item type. This adds the ability to add custom HTML items to the card. For example, Google Maps, Facebook scripts etc.
- New feature: Added the ability to add padding between border and image of a card item.
- New feature: Added the ability to set the line height for text items.
- New feature: Added support for animations and transitions to card items. Each card item can have its own animations and transitions! Transitions can also be synhronized. This can be useful if you want to trigger all transtions at the same time when you move the mouse over the card instead of over each card item individually.
- Improved: Card properties dialog is now resizable.

Flex Grid
- New feature: Added the ability to save custom flexgrid templates. It is also possible to edit or remove pre-defined templates. 
- New feature: Added 'Easy Mode'. Many users have asked an easier way to control the flexgrid without having to deal with flexbox.
In "Easy Mode, the flexgrid behaves just like the Layout grid. 
To make this possible, Easy mode will automatically set the following settings:
- block elements (full width = true) will be set to flexgrow=1, flexshrink=1, flexbasis=100%
- inline-block (full width = false) will be set to flexgrow=0, flexshrink=0, flexbasis=empty
Each flex item will be set to: 
- flex direction = row
- wrap mode = wrap
- justify content will be replace with horizontal alignment: left / center / right
- align-items will be replaced with vertical alignment: top / middle / bottom
- align-content: not used
Note that you can always switch back to 'advanced mode' in case you do know how to use flexbox and need more control.
- Improved: The Flex Grid editor now displays a preview of the alignment for the selected area to get a better idea of result.
- Improved: It is now possible to rename grid cells while keeping the content.
Note that this will only work if you do not make other changes to the structure of the grid. In other words, if you would like to change the cell names then do not change the column/row structure at the same time, otherwise there will be no way for the software to know the relation between the old and new names.

Layout Grid
- New feature: Added 'Footer (fixed)' and 'Footer (floating)' mode. This makes it possible to use a layout grid as (fixed) footer. This also works with master pages.
- New feature: Added 'Sticky' mode. A sticky Layout Grid is treated as relatively positioned element until it reaches the top, at which point it is sticks to the top. This is standard HTML feature that only works in modern browsers (not in IE/Edge).
- New feature: Added 'pattern overlay'. Add semi transparent pattern overlays to the background image/video.

Flex Container
- New feature: Added 'Footer (fixed)' and 'Footer (floating)' mode. This makes it possible to use a Flex Container as (fixed) footer. This also works with master pages.
- New feature: Added 'Sticky' mode. A sticky Flex Container is treated as relatively positioned element until it reaches the top, at which point it is sticks to the top. This is a relative new HTML feature and requires a modern browser: https://caniuse.com/#search=sticky
- New feature: Added 'pattern overlay'. Add semi transparent pattern overlays to the background image/video.

Text
- Improved: The text editor is now fully integrated into the workspace. WWB no longer loads an overlay editor, but handles all editing internally (via ITextHost): faster, same rendering in edit/display mode, more control.
- Improved: HTML code generator for text has been completely redesigned with direct RTF to HTML conversion for more accurate rendering results.
- Improved: Line spacing now supports 2 decimals after the comma: 1.05, 1.14 etc.
- New feature: Added 'Redo' support to text editor.
- New feature: Added 'List' support! Bullets, Numbering, Alphabetic, Roman styles.
- New feature: Added Paragraph properties for indent, space before/after.
- New feature: Added Ribbon Mini Toolbar ("Floaty"). Microsoft Office-style mini toolbar is a semi-transparent toolbar appearing right near the cursor, providing quick access to text formatting tools.
- New feature: Added 'Format Painter' functionality to text editor to quickly apply the same formatting to other text.
- New feature: Added colored Emoji support (requires Windows 10).
- New feature: Added support for small inline images in text (requires Windows 10).
- New feature: Added ‘Paste (keep text only)’ command. This will paste the text from the clipboard without formatting. Also available via Ctrl+Shift+V

Marquee
- Improved: The unofficial <marquee> tag has been replaced with CSS3 animations for better compatibility with (modern) browsers. W3C compliant!
- New feature(s): The Marquee object now supports the same editing and styling options as standard text: styles, line spacing, letter spacing, bullets, find/replace, lorem ipsum, responsive fonts etc.
- New feature: Added 'star wars' behavior. Implements Stars Wars-like 3D scrolling.

Shape/ClipArt/TextArt
- Improved: Now uses CSS transforms for rotation.
- Improved: Exported SVG now uses cublic beziers for much better graphics.
- Improved: Added support for gradient/pattern and texture border styles in exported SVG.
- Improved: ClipArt symbol selection dialog.
- Improved:  Webdings, Wingdings, Wingdings2 and Wingdings3 display more symbols in ClipArt selection dialog (> 200 instead 100).
- New feature: Added support for "Segoe UI Emoji" symbols to ClipArt (Windows 10).
- New feature: All supported Icon Libraries can now also be used in ClipArt!
- New feature: Added the ability to output shape text as HTML: 'Publish as HTML'. 
- New feature: Added 'SVG path animation' option. This adds the ability to animate the border (stroke) of SVG shapes, textart, clipart. This makes it look like the shape/text is drawn on the web page in real-time;)

Styles
- New feature: Added 'Copy Style' and Paste Style' command to object's context menu. This make it possible to quickly copy style properties to multiple objects (in addition to the format painter).

Theme Colors
- New feature: Added 'Theme Colors'. Inspired by the MS Office color picker.
By default, WYSIWYG Web Builder's color picker displays a standard color palette with 140 standard web colors.
With the 'Theme color' option (inspired by the MS Office color picker) you can configure a custom color palette of 12 colors. The light and dark variants of these colors will be generated automatically.
Besides the ability to customize the colors, it is also possible to synchronize the colors when they are modified or when you select a different color theme. 

The following option are available :
no
use the default color palette.

yes - do not synchronize
use custom colors, but do not replace the colors in pages when the theme is modified. 

yes - synchronize all colors
use custom colors, replace the colors in pages when the theme is modified or a when a different theme is selected. 
Basically, this will do a global replace of the matching colors in all pages. The colors from the previous selected theme will be replace with the colors from the selected theme.

yes - synchronize categories
use custom colors, replace the colors in pages when the theme is modified or a when a different theme is selected. 
Do a global replace of the matching colors in all pages based on their categories. For example, text colors will only be updated for text, but if the background uses that same color then it will not be updated.
This works the same as in this 'Global Replace' tool.

Preloader
- New feature: Added the ability to an animated preloader image to the page (in Page Properties). 10 (gif) animation are included, but you can also add use own images.
A preloader (alos known as loading screen) is what you see on some sites before the main content of the web page is loaded.
Preloaders are simple (GIF) animations that are used to keep visitors entertained while server operations finish processing. 
WYSIWYG Web Builder can display a (semi transparent) overlay with animated gif when the website loading is in progress. It will disappear right after the page loads.

A collection of standard preloader images is included, but you can also add your own animations by adding a custom gif image to the 'preloader' folder.

Style Manager
- New feature: Added 'Filter' properties. The filter property defines visual effects, like blur, brightness, contrast, grayscale, hue-rotate, invert, saturate and sepia. The effect will be applied to the obejcty and all its children.
- New feature: Added 'Backdrop Filter' properties. The backdrop-filter property lets you apply graphical effects to the area behind an element.  Because it applies to everything behind the element, to see the effect you must make the element or its background at least partially transparent.
- New feature: Added support for border-images. Select Border Style->image and then Border Settings to configured advanced borders.

Page
- New feature: Added 'Design Layout' view mode. Renders the page in a frame, centered on the screen.
- New feature: Added support for 'drag & drop' re-arrange of floating elements. You can now drag/drop a floating layer (layout grid/flexbox) before or after another floating object. 
- New feature: Added the ability to set the 'highlight color' in Guide Settings. This specifies the color of insert markers in layout grids and other containers.
- New feature: Added 'Facebook App ID' property (fb:app_id) to Open Graph Meta Tags. Facebook App ID tags lets Facebook know the identify of your site, which provides additional benefits like social analytics, comments moderation and authentication capabilities to your site.
- Improved: 'Disable scroll transitions on small screens' in Page Properties now also disables parallax effect. 

SEO
- Improved: Search Engine Optimization settings now have a dedicated section in the page properties.
- New feature: Added 'Canonical URL' property. If you have different pages with similar content (for example, a page with both a mobile and a desktop version), Google sees these as duplicate versions of the same page. Google will choose one URL as the canonical version and crawl that, and all other URLs will be considered duplicate URLs and crawled less often. 
More information: https://support.google.com/webmasters/answer/139066?hl=en
- New feature: Added 'hreflang' configuration. The hreflang attribute tells Google which language you are using on a specific page, so the search engine can serve that result to users searching in that language. The links will also be added to the site map.
More information: https://support.google.com/webmasters/answer/189077?hl=en

Web Icons
- Improved: Web Icons settings now have a dedicated section in the page properties.
- New feature: Added the ability to add 32x32 and 64x64 favorite icons to support modern browsers. These icons are in standard PNG format.
- New feature: Added the ability to configure multiple Apple Touch Icons to target different devices.

General
- New feature: Added "Open the most recent used page of the project" option. When loading the project, this will open the page that was active when you last saved the project.
- New feature: Added option to enable/disable ctrl+click+drag (duplicate objects) functionality.
- New feature: Added confirmation window for 'Easy Mode'. 
- New feature: Added 'Reset Workspace' option. This will reset the window layout to the initial state. 
- New feature: The first time you start WWB, it will ask you if you want to import the settings from a previous version.
- New feature: Added 'AutoSave' option. This automatically saves the active project at the specified interval.
- New feature: Added 'Publish navigation icons as SVG image'. This will output the icons as embedded SVG (scalable vector image) instead as font and reduces the overall size of the website if you only use a few icons.
- New feature: Added Visual Studio 2019 Light Blue theme (Tools -> Options -> User Interface -> Color Scheme)

Response Web Design
- New feature: Added 'Automatically scale new objects in other breakpoints' option (Tools -> Options -> General). 
Normally when you insert a new object, it will be inserted at the same position and with the same size as the default view.  The new option 'Automatically scale new objects in other breakpoints' is enabled, new objects will automatically scale and reposition in other breakpoints relative to the breakpoint size. It will also scale the font size of some objects when possible. This may speed of the implementation of (fixed) responsive layouts.
- Improved: The option "Include min-width in CSS3 media queries " has been replace with “Activate breakpoints when browser window is smaller than the device width” and “Activate breakpoints when browser window is larger than the device width” to make the functionality more clear. Also, ‘max-width’ has been renamed to ‘device width’.

Object Manager
- Changed: 'Allocated filenames' has been renamed to 'Internal filenames'.
- Improved: Added the ability to re-arrange objects using drag & drop before and after other objects.
- Improved: Added the ability to re-arrange objects using drag & drop on layers (including layout grid/flexbox).
- Improved: Added the ability to move objects between floating layers (including layout grid/flexbox). This is not possible for fixed layout becuase then you have no visible feedback where the object will move to!
- New feature: Added 'Assets Folder' property (context menu). This adds the ability to specify a different output folder per object! For example, set the images folder for one object (gallery) to a different folder. This overrides the global publish settings.

Publish
- New feature: Added the possibility to use wildcards in Publish File types (Tools->Options->Publish). This makes it possible to publish specific files (based on the filename, in addition to file extensions) to a different folder. 
- Improved: Publish File types are now saved in the project file so they can be different for each project.

Preview
- Improved: Added 'Preview current page' option in addition to 'Preview entire website'.
- Improved: Added 'PHP Preview Warning'. When you try to preview a website with PHP, the application will now display a warning that the pages may not display correctly, because PHP can only be viewed online through a web server.

Verify Links
- New feature: Added 'Filter' option. This make it possible to filter links to make it easier to find URLs when you have a long list of links.

Events
- New feature: Added 'self' target. When you select this as the target then WWB will automatically use the ID of the current object. This may be useful when you copy the object, so you do not have to manually edit the 'self' events.
- New feature: Added 'enable' and ‘disable’ actions. This can be used to disable/enable a form elements (button, checkbox, radio button, editbox, combobox, textarea).

Mega Menu
- New feature: Now supports font icons, this replaces the (fixed) jQuery UI icon set. Not only will this give you a wider selection of icons, but with will also improve the quality of the images.
- New feature: Added the ability to set a different icon for each link (instead of one global bullet icon).
- New feature: Added property to change the category text color.
- Improved: body scrollbar will be hidden, when the mobile drop down menu is active.

Overlay Menu
- Improved: Button colors are now responsive, so they can be different in breakpoints.

Panel Menu
- New feature: Added Link transitions. This adds the ability to animate the background or border of the menu items. Includes 18 transition effects: fade, slide, scale, rotate, underline, overline etc.
- Improved: Panel background color can now be semi-transparent (alpha) when in overlay mode.
- Improved: Added support for semi-transparent (alpha) borders.

CSS Menu
- New feature: Added Link transitions (main and sub items). This adds the ability to animate the background or border of the menu items. Includes 18 transition effects: fade, slide, scale, rotate, underline, overline etc.
- New feature: Added the ability to set the alpha value of the shadow color (for main and sub menu). 

Themable Menu
- New feature: Now supports font icons, this replaces the (fixed) jQuery UI icon set.
- New feature: Added support for drop down animations in Bootstrap menu: fade, slide and scale.
- New feature: Added the ability to set the border color (and alpha) of the mobile trigger button.

Themable Button
- New feature: Now supports font icons, this replaces the (fixed) jQuery UI icon set.

Pagination
- Improved: Using ellipse ("...") as text will disable the link.
- New feature: Added the possibility to display ellipses when synchronized with the Site Manager. Set 'Start at' to -1. Visible items specifies how many adjacent pages should be shown on each side of the current page.

CSS Animations/transitions
- New feature: Added 24 new easing functions, inspired by jQuery UI: ease-in-quad,ease-out-quad,ease-in-out-quad,ease-in-cubic,ease-out-cubic,ease-in-out-cubic,ease-in-quart,ease-out-quart,ease-in-out-quart,ease-in-quint,ease-out-quint,ease-in-out-quint,ease-in-sine,ease-out-sine,ease-in-out-sine,ease-in-expo,ease-out-expo,ease-in-out-expo,ease-in-circ,ease-out-circ,ease-in-out-circ,ease-in-back,ease-out-back,ease-in-out-back
- New feature: Added 8 new animations: flip-in, flip-out, fold, unfold, turbine-in, turbine-out, swoop-in, swoop-out
- New feature: Added alpha support to transition colors. This also works with scroll transitions!

Inline Frame
- New feature: Added "Enable Safari Mobile fix" option. This implements a workaround for inline frames ignoring the specified height on the iPhone/iPad.

Accordion
- New feature: Added horizontal accordion mode!
- New feature: Added 'Rotate' mode. This enables automatic cycle through panels with configurable duration.
- New feature: Added the ability to set individual colors for accordion header background.

Tabs
- New feature: Added ‘Active tab’ option. This specifies the tab that will be initially displayed. Can be set to 'false' to display none at start (in combination with ‘collapsible’).

Logout button
- New feature: Added text alignment property.
- New feature: Added padding property.

Login
- New feature: Added "Redirect to previous page". When this option is enabled, the user will be redirected to the previous page after successful login.
- Improved: Login create/edit database tool now also works with Secure FTP.

Sign Up / Password Recovery
- New feature: Added PHP Mailer support with SMTP authentication.

Image
- New feature: Added 'html overlay' to watermark options. This adds a text overlay to the image (instead of merging the text with the image). This provides a quick way to add text on top of an image in floating layouts. Also supports hover only, which displays the text on mouse over.
- Improved: The 'Frames' option has been replaced by the standard CSS 'border-image'. Adding a frame (now border image) will no longer affect the image size, quality or make it non-responsive.

Background Properties
- New feature: Added new background repeat option: space. The background-image is repeated as much as possible without clipping.The first and last images are pinned to either side of the element, andwhitespace is distributed evenly between the images.
- New feature: Added new background repeat option: round. The background-image is repeated and squished or stretched to fill the space (no gaps).

Photo Collage
- New feature: Added 6 new animations: move up, fall, fly, flip, helix, popup
- New feature: Added "Customize' option. This add the ability to create custom layouts for the Photo Collage.
- New feature: Added "Lazy Load“ option. This implements ‘onscrollreveal’ functionality, so the animations will start when the gallery scrolls into the viewport.

Lazy Load
(Note: lazy load is available for images, photo gallery, rollover image, rollover text)
- New feature: $LAZYLOAD_EFFECT$" site variable. Adds the ability to set an animation for lazy load: blind, bounce, drop, fade, fold, pulsate, puff, scale, shake, slide
- New feature: $LAZYLOAD_DURATION$" site variable. Specifies the duration of the animation.

Rotate
- Improved: All rotatable objects now have a rotation handle to provide quicker way to rotate the object.

Slideshow
- New feature: "Image Carousel" and "Conveyer Belt" now have their own icons in the toolbox to make it easier to add these items to web pages.
- New feature: Added 'Image Accordion' mode. Implements a horizontal image accordion, using CSS only. With animation and caption support. The 'Image Accordion' also has its own icon in toolbox for quick access. 

Photo Gallery
- Improved: 'Frames' now use the standard CSS 'border-image'. Adding a frame/border image will no longer affect the original image size or quality and adds other useful features like border image size, repeat and scaling.
- Improved: Added the ability to set the target window for Instagram links.

Carousel
- New feature: Added 'Pause cycling on mouse enter' option. If enabled this pauses the cycling of the carousel on mouseenter and resumes the cycling of the carousel on mouseleave.
- New feature: Added 'Fade' transition (in addition to slide) to Bootstrap Carousel. Note: all other transitions are not supported by Bootstrap!
- New feature: Added touch support to Bootstrap Carousel.
- New feature: Added new built-in navigation large arrows. To use the new arrows, enter '{' for previous and '}' for next in the filename fields.
- Improved: Bootstrap carousel - Upgraded to Bootstrap 4.

Forms
- New feature: Added "Create a responsive form using layout grids" option to the Form Wizard. The Form Wizard can now create flexible/responsive forms. The option will automatically be selected if the page already contains layout grids.
- New feature: Added 'Spacing' option to the Form Wizard. This set the spacing between the controls of the created form.
- New feature: Added the ability to set a Dialog (jQuery UI or Bootstrap) as form target. This makes it possible to display the success or error page in a popup. Add a dialog to the page and select the ID of the Dialog in the form's target property. All the necessary code will be generated automatically!
- New feature: Added new site variables to customize form error messages: $FORMERROR_EMAIL$, $FORMERROR_URL$, $FORMERROR_FILESIZE$
- New feature: Added 'Do not allow URLs in form data' option. This option may help to prevent spam by blocking messages that include links.
- New feature: Added the ability to configure the ‘From name’ for the email message. It is also possible to use a PHP variable. For example, S_POST[‘name’] where ‘name’ is the name of the input field.
- New feature: Added the ability to configure the ‘Reply To’ for the email message. 'Reply to' can be used to specify an alternative reply address. 'Reply To' can be a fixed email address 'yourname@email.com' or a PHP variable: $_POST['email'].
- Improved: CSV data file wizard now also works with Secure FTP.

Editbox, Textarea, Checkbox, Radio Button, File Upload
- New feature: Added Bootstrap-like input validation. Note: for checkbox, Radio Button, File Upload 'use default browser style' should be unchecked!

Combobox
- New feature: Added 'HTML5' validation. For this to work, the value of the first item should be empty.
- New feature: Added Bootstrap-like validation.

Dialog
- New feature: Added 'Open' and 'Close' events. The 'Open' event is fired when the dialog has been made visible to the user. The 'Close' event is fired when the modal has finished being hidden from the user.
A practial example would be to to disable the submit button after a form has triggered the dialog on submitted the form.
- Improved: Bootstrap dialog - Upgraded to Bootstrap 4.
- New feature: Bootstrap dialog - Added support for horizontal and vertical alignment.

Layer
- New feature: Added 'lightbox' mode. This makes it possible to display the content of the layer in a lightbox. The lightbox can be opened/closed via events (show/hide). Supported lightboxes: fancybox, magnificpopup, colorbox, lightcase, prettyphoto, swipebox, tosrus, venobox.
- New feature: Added 'pattern overlay'. Add semi transparent pattern overlays to the background image/video.

FlipSwitch
- New feature: Added "Flip Switch" object. A "Flip Switch" (also known as Toggle switch) can be used as alternative for a checkbox. Inspired by the iPhone checkbox. It is possible to use different colors (text/background/border) for checked/unchecked, add animations, conditions and events.

Button
- New feature: Added the ability to use the (form) button as a link. Although the button is mainly for use with Forms, many users have requested this feature, so now it's (finally) possible.

Animations
- New feature: Added 'Merge' option. This option will merge the default animations with your own collection. 
Why? We regularly add new animations to the default collection. However, if you have customized animations then your custom collection will not be overwritten, so this means that new animations ate not added to your list automatically. The 'Merge' option will make it easier to add these new animations to your custom collection.
if you do not have modified animations then the merge button will be disabled.

HTML
- New feature: Added 'full width' option. When the HTML object is used in a layout grid, the div container can now be edge-to-edge.

Site Search
- New feature: Added Autocomplete padding to set the spacing around the items in drop down list.
- New feature: Added 'open page' mode to Autocomplete. Clicking an item in the Autocomplete drop down list will immediately open the page. This makes it possible to implement a search field without a 'results' section.

Rollover Text
- Improved: All animations now support easing (including the CSS based animations).
- Improved: New lines in description are converted to line breaks <br>.
- New feature: Added the ability to set background color, border and padding of the link, so you can make it looks like a button.
- New feature: Added 'Vertical alignment' property for use in combination with position -> full.
- New feature: Added 14 new animations: lines (horizontal & vertical), flip (horizontal & vertical), flip, 3d flip (horizontal & vertical), 3d carousel (horizontal & vertical), box (move, zoom, scale)

Ready-to-use-JavaScripts
- Improved: All scripts now support the same font sizes as in the rest of the application. 
- Improved: Added recent colors to color picker.
- Improved: Added 'size' property to Facebook like button script.
- New feature: Added 'Count Up' script. A simple counter that starts counting when the object scrolls into view.
- New feature: Added 'Circular Text' script. Animated text wrapped around a circle.
- New feature: Added 'Bubble Text' script. Bubbling Text Effect.
- New feature: Added 'Facebook Save Button' script. The Save button lets people save items or services to a private list on Facebook or share it with friends.
- New feature: Added 'Facebook Share Button' script. The Share button lets people add a personalized message to links before sharing on their timeline, in groups, or to their friends via a Facebook Message.

Blog / Article
- Improved: The text editor is now resizable.
- Improved: Responsive font (size/family) is synchronized in text editor and style settings, so it's no longer necesarry to set the font in the style settings.
- Improved: When the button text is empty, the button will be hidden.
- New feature: Add 'Image margin' property. This can be used to set the margin around an image.
- New feature: Added support for native Windows spell checker to text editor. With 'spell as you type' and context menu suggestions. (requires Windows 8 or 10!)
- New feature: Added 'Timeline' layout. This implements a simple vertical timeline.

Polygon/Curve
- New feature: Added 'SVG path animation' option.

Heading
- New feature: - Added 'Full width' option to Heading object. When set to false, the heading can have a fixed width (instead of 100%). This may be useful to create inline multi-line text blocks in a Layout Grid.

Extensions
- Improved: WWB15 now supports up to 500 extensions. Available system memory may have impact on the actual maximum number of extensions that can be loaded by the application.

Setup
- Improved: The 64-bit setup will now automatically download and install VC++ Redistributables files if they are not installed yet.

Icon Libraries
- Improved: The quality of exported SVG is now significally better.
- New feature: Added support for 7 new icon libraries:
  - Microsoft Fabric Icons, https://developer.microsoft.com/en-us/fabric#/styles/icons#icons
  - Map Icons, http://map-icons.com/
  - Weather Icons, https://erikflowers.github.io/weather-icons/
  - Devicon, https://vorillaz.github.io/devicons/
  - Payment Webfont, https://github.com/orlandotm/payment-webfont
  - Ico Font, https://www.icofont.com/
  - Captain Icon, http://mariodelvalle.github.io/CaptainIconWeb/

Blocks
- Added 50+ new blocks. Available as (free) addon package: blocks_pack6.zip .
https://wysiwygwebbuilder.com/free_extras.html

Templates
- Added 18 new (free) templates to demonstrate some of the new features.
https://wysiwygwebbuilder.com/templates9.html

New tutorials
https://www.wysiwygwebbuilder.com/borders.html
https://www.wysiwygwebbuilder.com/color_themes.html
https://www.wysiwygwebbuilder.com/form_popup.html
https://www.wysiwygwebbuilder.com/preloader.html
https://www.wysiwygwebbuilder.com/shape_dividers.html
https://www.wysiwygwebbuilder.com/svg_animations.html
https://www.wysiwygwebbuilder.com/toasts.html
https://www.wysiwygwebbuilder.com/wrap_text.html
https://www.wysiwygwebbuilder.com/unsplash.html


07/02/2019 - Version 15.0.1
- Fixed: Rendering issue with images
- Fixed: Rendering issue with Google Font variants
- Fixed: Some older projects do not load
- Fixed: Issue with lazy load
- Fixed: Object outlines not rendered
- Fixed: Rendering issue with 'condensed' and narrow' fonts.
- Fixed: Issue editing text in tables
- Fixed: Image frame in breakpoints not upgraded to border frame
- Fixed: Crash when switching quickly between breakpoints (related to blog/article)
- Fixed: Text height not updated when switching to another breakpoint or scaling
- Fixed: 'most downloads' error when open CMS search properties.
- Fixed: Some extensions are not rendered at the right position
- Fixed: Photo gallery renders long titles without ellipses like in previous versions.
- Fixed: Alignment issue in responsive Carousel
- Fixed: Colorize not implemented in Navigation Bar.
- Fixed: (deprecated) Text line spacing options not DPI aware.
- Fixed: Issue with merging image and shadow.
- Improved: Implemented anti-aliasing can now be turned off for shape border.

07/04/2019 - Version 15.0.2
- Fixed: Category text of Mega menu uses the wrong font-family.
- Fixed: Issue with text in breakpoints and 'random' preview crash.
- Fixed: Rendering issue with nested layers and clipping.
- Fixed: Card Container Carousel issue when page language direction is set to 'right-to-left'.
- Fixed: Card Container Carousel issue with Chrome browser on page load.
- Fixed: Issue with flipped shapes.
- Fixed: 'Deadlock' when using rare combination of embedded page, text and breakpoints.
- Fixed: UI focus issue when using text in flexgrid with breakpoints.
- Improved: Auto size functionality of text in edit mode now works the same as in previous versions.

07/11/2019 - Version 15.0.3
- Fixed: Subscript is the same as superscipt.
- Fixed: Footer hittest issue in master page.
- Fixed: Issue with Wizard panel editor.
- Fixed: Wrap Text object ignores line breaks.
- Fixed: hreflang reversed properties
- Fixed: Save text as image option not avaiable.
- Fixed: Cannot edit bullet list on layer.
- Fixed: Text menu active/hover link color switched.
- Fixed: Cannot use +/- in HTML dialog.
- Fixed: Issue when using (self) with scroll events
- Improved: Implemented workaround for anti-aliasing issue of rotated border image in FireFox/Chrome.
- Improved: Implemented drag and drop text editing (in text edit mode).
- Improved: Shape dividers on layers now have z-index to make sure they are on top in absolute layouts.
- Improved: CSS animations that animate border/background/shadow will now be applied to the inner <div> of the shape.
- Improved: Added additional schemas to sitemap.xml if hreflang is used.
- New feature: Added the ability to the set default text output format for new text objects in Tools -> Options -> General

07/19/2019 - Version 15.0.4
- Fixed: Issue with drawing line and UI refresh.
- Fixed: Issue with text on flipped shape.
- Fixed: Shape outline editor not visible.
- Fixed: Issue with Shape background image on master pages.
- Fixed: Issue with accordion in flexgrid.
- Fixed: Issue with overlapped merged object and text.
- Fixed: Added z-index to overlay in Layout Grid columns.
- Fixed: Issue when switching breakpoints in combination with hidden merged object...
- New feature: Added 'Incorrect breakpoint size' check to Error Reports. This will be displayed if a breakpoint is larger than the default view.

07/31/2019 - Version 15.0.5
- Fixed: Issue with text-alignment in Image watermark.
- Fixed: Shape divider not rendered when used on master page.
- Fixed: Invalid image size when using gaussian blur.
- Fixed: Issue with FlipSwitch 'Name' property.
- Fixed: Image shadow ignores opacity setting (+1).
- Fixed: script library not included for Card events. 
- Improved: Object Manager now also displays child elements of Dialogs.
- Improved: Shadow rendering with border radius.
- Improved: Several improvements to optimize table rendering performance.
- Improved: Added support for changing the text color of multiple table cells (using shift+cell properties).
- Improved: Added experimental support for Input Method Editor (IME) to input Chinese/Japanese/Korean characters.
* 'experimental' means that the feature is still under development, but has been enabled to allow users to try it out.

08/16/2019 - Version 15.0.6
- Fixed: Switched 'disable' and 'enable' labels in events.
- Fixed: Texture background not saved for Banner.
- Fixed: Go Menu does not render initial text in workspace.
- Fixed: Border image uses wrong size.
- Improved: Border width calculations for floating images.
- Improved: Catch possible conflicts with pipe-characters in Unsplash text.
- Improved: Redesigned link implementation for in <p> output format (better support for unicode and style filter).